textures/future/night_skybox
{
	qer_editorimage textures/future/env/nightsky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 100 

	skyparms textures/future/env/nightsky - -
} 

textures/future/day_skybox
{
	qer_editorimage textures/future/env/daysky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 100 290 90
	q3map_surfacelight 500 
	q3map_globaltexture
	q3map_lightsubdivide 512

	skyparms textures/future/env/daysky - -
} 

textures/future/day_skybox_near
{
	qer_editorimage textures/future/env/daysky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 100 290 90
	q3map_surfacelight 50 
	q3map_globaltexture
	q3map_lightsubdivide 512

	skyparms textures/future/env/daysky - -
} 

textures/future/glass1
{
	qer_editorimage textures/future/glass1.tga
	surfaceparm noimpact
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/future/glass1.tga
		rgbGen identity
	}
} 

textures/future/glass2
{
	qer_editorimage textures/future/glass2.tga
	surfaceparm noimpact
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/future/glass2.tga
		rgbGen identity
	}
} 

textures/future/wood_railing
{
	qer_editor_image textures/future/wood_railing.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/future/wood_railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/future/grate1
{
	qer_editor_image textures/future/grate1.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	nopicmip
	cull disable
	
	{
		map textures/future/grate1.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/future/grate1_stair
{
	qer_editor_image textures/future/grate1_stair.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	nopicmip
	cull disable
	
	{
		map textures/future/grate1_stair.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/future/grate1_riser
{
	qer_editor_image textures/future/grate1_riser.tga
	qer_trans 0.9	
	surfaceparm alphashadow
	nopicmip
	cull disable
	
	{
		map textures/future/grate1_riser.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/future/clg_light
{
	qer_editorimage textures/future/clg_light.jpg
	q3map_surfacelight 1300

	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/future/clg_light.jpg
		rgbGen identity
	}
}

textures/future/clg_light2
{
	qer_editorimage textures/future/clg_light2.jpg
	q3map_surfacelight 2000

	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/future/clg_light2.jpg
		rgbGen identity
	}
}

textures/future/glass_building3i
{
	q3map_surfacelight 100
	{
		map textures/future/glass_building3i.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/future/glass_building3i.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/future/glass_building3
{
	q3map_surfacelight 100
	{
		map textures/future/glass_building3.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/future/glass_building3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


textures/future/fake_fog
{
	qer_editor_image textures/future/fake_fog.jpg
	qer_trans 0.40	
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull disable
	
	{
		map textures/future/fake_fog.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}